class NoResultError(Exception):
    def __init__(self, message):
        self.message = f"The query: {message} returned no results"
        super().__init__(self.message)


class AppPresentError(Exception):
    def __init__(self, message):
        self.message = f"The app {message} is already present in the database"
        super().__init__(self.message)

    def __str__(self):
        return self.message
